### Home Classes Methods

### In Files

- lib/dbi/utils.rb

### Methods

- ::conv_param

### Files

- README

### Class/Module Index

Quicksearch

- DBI
- DBI::BaseDatabase
- DBI::BaseDriver
- DBI::BaseStatement
- DBI::Binary
- DBI::ColumnInfo
- DBI::DataError
- DBI::DatabaseError
- DBI::DatabaseHandle
- DBI::Date
- DBI::DriverHandle
- DBI::Error
- DBI::Handle
- DBI::HandleTracer
- DBI::IntegrityError
- DBI::InterfaceError
- DBI::InternalError
- DBI::NotImplementedError
- DBI::NotSupportedError
- DBI::OperationalError
- DBI::ProgrammingError
- DBI::Row
- DBI::SQL
- DBI::SQL::PreparedStatement
- DBI::StatementHandle
- DBI::Time
- DBI::Timestamp
- DBI::Type
- DBI::Type::Boolean
- DBI::Type::Decimal
- DBI::Type::Float
- DBI::Type::Integer
- DBI::Type::Null
- DBI::Type::Timestamp
- DBI::Type::Varchar
- DBI::TypeUtil
- DBI::Utils
- DBI::Utils::ConvParam
- DBI::Utils::TableFormatter
- DBI::Utils::XMLFormatter
- DBI::Warning
- Class

No matching classes.

# DBI::Utils::ConvParam

Type converter.

FIXME this really needs to go into DBI::TypeUtil or similar

### Public Class Methods

conv_param(driver_name, *params) click to toggle source

Wrapper to convert arrays of bound objects via DBI::TypeUtil#convert.

    # File lib/dbi/utils.rb, line 51
    def self.conv_param(driver_name, *params)
        params.collect { |param| DBI::TypeUtil.convert(driver_name, param) }
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.